E-Mail/Phone Alert Module Help Center

WeatherLink 5.5 Beta Test Information

Help Topics

  • Overview

  • Setup E-Mail Alerts

  • Setup Phone Alerts

  • Configure Single-Sensor Alarms

  • Configure Combination Alarms

Web Pages

  • Davis Instruments Home Page

  • Weather Support Page

Home | E-Mail Alerts | Phone Alerts

Beta 1, December 23, 2003


WeatherLink Beta Test Program Information

WeatherLink Beta Test 2003

E-Mail/Phone Alert Module Version 1.0 Beta 1 Features

  • Generates E-Mail on either (or both) a fixed schedule, or when user selected alarm conditions occur.

  • The standard e-mail format lists all alarms that are active, plus a snapshot of the current weather conditions, similar to the Summary Window display.

  • Alarm notifications list the name of the alarm, the current value of the variable, and the threshold that triggers the alarm.

  • Alarms can be set for 49 different sensor values.

  • In addition, there are 2 customizable "Combination alarms ". For example, you could create a "Frost Alarm" that is true when (Outside Temperature < 40 F) AND (Humidity > 90 %). You can choose the components from the same 49 parameters as the sensor alarms, but each combination alarm has independent threshold values.

  • The Text Messaging e-mail format is designed for cell phone and alphanumeric pagers that are linked to e-mail addresses. The messages are abbreviated, and you can control exactly which data fields to include, because different messaging systems have different limits on the length of the message.

  • You must have SMTP mail service to use the e-mail features.

  • For critical alerts, or if you do not have e-mail, you can use the Phone alert feature. This feature uses a modem to dial a voice phone number. The person answering the phone will hear a pattern of beeps that signals an alarm condition.

  • Phone Alerts use the same alarm conditions as E-Mail Alerts.

  • E-Mail and Phone Alerts can also be generated if the PC can not talk to the weather station.

  • Alarm messages are sent with a High importance and priority level.

Adds Three New Menu Items to WeatherLink:

  • Setup: Setup E-Mail Alerts...

  • Setup: Setup Telephone Alerts...

  • Help: E-Mail/Phone Alert Help...


Overview

The E-Mail/Phone Alert Module adds e-mail and telephone alerting capabilities to WeatherLink for Windows software, version 5.5 or later. The Alert Module also includes two new, user-defined weather alarms based on the threshold values of multiple sensors.

Features

  • Send current weather condition in e-mail messages or text messages

  • Send alarm notifications in e-mail messages or text messages

  • Send alarm notification signals over the phone

  • Define alarm conditions based on threshold value of a single sensor. A separate alarm is generated for each threshold value that is met.

  • Define two alarms, each one based on the threshold values of multiple sensors. All threshold values must be met to generate the alarm.

Requirements

  • WeatherLink 5.5 or later

WeatherLink 5.5 requires a PC computer running Windows 95 or later, 5 MB free hard disk space, VGA or better color monitor, and a serial port.

  • E-Mail account using an SMTP outgoing mail server

Note: The Alert Module will not work with HTTP e-mail accounts such as Hotmail.


Email Alerts: Setup

Setup E-Mail Alerts

Use the E-Mail Alerts Setup screen to select the types of e-mail alerts to send, to format the e-mail messages, and to define alarms for the alarm notifications.

Open the E-Mail Alerts Dialog Box:

  1. Click on Setup E-Mail Alerts... in the WeatherLink Setup Menu. The E-Mail Alerts dialog box is displayed.

Set Current Conditions E-Mail Frequency

  1. Select the time interval for current conditions reports using the "Send a current conditions e-mail..." pull-down menu. Current conditions e-mail can be sent at the following time intervals: never (disables current condition reporting), 1, 5, 10, 15, or 30 minutes, or 1, 2, 3, 4, 6, 8, 12 or 24 hours.

  2. Enter a time reference for the current conditions e-mail:

    • The time reference determines actual time-of-day to e-mail the current conditions. WeatherLink calculates the moment to send the e-mail by counting the time intervals, using the time reference as the starting point.

    • If you are sending e-mails every 15 minutes with a time reference of 12:03, then the e-mail will be sent every 15 minutes at 3, 18, 33 and 48 minutes after the hour.

    • If you are sending e-mails every 6 hours with a time reference of 2:30, then the e-mail will be sent every 6 hours at 2:30 am, 8:30 am, 2:30 pm, and 8:30 pm.

    • If you are sending e-mails once a day with a time reference of 6:30 am, then the e-mail will be sent once a day at 6:30 am.

Set the Time and Frequency for Alarm Notification Functions

  1. Select the time interval used by WeatherLink to check for alarms using the "Check for Alarms every" pull-down menu. The interval can be set to one of the following: never (disables alarm notifications), 1, 5, 10, 15, or 30 minutes, or 1, 2, 3, 4, 6, 8, 12 or 24 hours.

  2. Enter a time reference for alarm checking:

    • The time reference determines actual time-of-day that WeatherLink checks for alarms. The time is calculated by counting the time intervals using the time reference as the starting point.

  3. Select the time interval between sending notices for an on-going alarm using the "Wait at least" pull-down menu. The interval can be set to one of the following: never (disables repeat alarm notifications), 1, 5, 10, 15, or 30 minutes, or 1, 2, 3, 4, 6, 8, 12 or 24 hours.

Select E-Mail Format

  1. Click on Text Summary Format to use a standard e-mail format. This option will create plain text messages that include a subject line, a list of active alarms, and a summary of current weather conditions.

  2. Click Include Inside Values to include the inside temperature and inside humidity in the message.

  3. Click Include Leaf and Soil Data to include data from a Leaf & Soil Moisture/Temperature Station or a Soil Moisture/Temperature Station in the e-mail.

  4. Click Text Messaging Format to send short text messages suitable for cell phones.

  5. If you have selected Text Messaging Format, then click the Select Message Elements button to configure the text message content.

Configure Single-Sensor Alarms for E-Mail & Phone Alerts

  1. Click on Enable Single Sensor Alarms to enable alarms based on single sensor threshold values. These alarms are similar to the existing Vantage Pro console and WeatherLink alarms, generating a separate alarm for each weather parameter that exceeds the threshold value.

  2. Click the Configure button associated with Enable Single Sensor Alarms to set alarm threshold values.

Configure Combination Alarms for E-Mail & Phone Alerts

  1. Click on Enable Combination Alarm 1 or Enable Combination Alarm 2 to enable the two user-defined alarms based on the threshold values of multiple sensor. All threshold values configured for a combination alarm must be met in order to generate the alarm.

  2. Click the Configure button associated with Enable Combination Alarm 1 or Enable Combination Alarm 2 to set the threshold values for the alarm and to name the alarm.

Configure E-Mail Server Info and E-Mail Addresses

Home | E-Mail Alerts | Phone Alerts


Email Connection: Configure

Configure E-Mail Connection

Internet Connection Setup
E-Mail Configuration

Back to: E-Mail Alerts: Setup


Text Mssg: Configuration

Text Messaging Configuration

  • Select the contents of Current Conditions and Alarm Notification messages.

  • Set the Message Options. These options are used by both types of text messages.

  • Set the Message Length. This is optional, but keeps a text message from truncating an overly long message.


Telephone Alerts: Setup

Setup Phone Alerts

Use the Telephone Alerts Setup screen to define alarms for the alarm notifications.

Open the Telephone Alerts Dialog Box:

  1. Click on Setup Telephone Alerts... in the WeatherLink Setup Menu. The Telephone Alerts dialog box is displayed.

Set the Time and Frequency for Telephone Alarm Notifications

  1. Select the time interval used by WeatherLink to check for alarms using the "Check for Alarms every" pull-down menu. The interval can be set to one of the following: never (disables alarm notifications), 1, 5, 10, 15, or 30 minutes, or 1, 2, 3, 4, 6, 8, 12 or 24 hours.

  2. Enter a time reference for alarm checking:

    • The time reference determines actual time-of-day that WeatherLink checks for alarms. The time is calculated by counting the time intervals using the time reference as the starting point.

  3. Select the time interval between sending notices for an on-going alarm using the "Wait at least" pull-down menu. The interval can be set to one of the following: never (disables repeat alarm notifications), 1, 5, 10, 15, or 30 minutes, or 1, 2, 3, 4, 6, 8, 12 or 24 hours.

Configure Bad Console Communication Alarm

  1. Click on Bad Console Communication Alarm to enable the communication alarm.

  2. Enter phone numbers (0-9, # and *) in the Tone Pattern edit box to generate a unique tone for this alarm. Seven character max for tone patterns.

Configure Single-Sensor Alarms for E-Mail & Phone Alerts

  1. Click on Enable Single Sensor Alarms to enable alarms based on single sensor threshold values. These alarms are similar to the existing Vantage Pro console and WeatherLink alarms, generating a separate alarm for each weather parameter that exceeds the threshold value.

  2. Click the Configure button associated with Enable Single Sensor Alarms to set alarm threshold values.

Configure Combination Alarms for E-Mail & Phone Alerts

  1. Click on Enable Combination Alarm 1 or Enable Combination Alarm 2 to enable the two user-defined alarms based on the threshold values of multiple sensor. All threshold values configured for a combination alarm must be met in order to generate the alarm.

  2. Click the Configure button associated with Enable Combination Alarm 1 or Enable Combination Alarm 2 to set the threshold values for the alarm and to name the alarm.

Phone Configuration

Enter the following information:

Modem Com Port

Modem Init String - The default string works for Hayes-compatible modems

Telephone Number - The phone number where the alarms will be sent.

Use Quiet Answer - Select Quiet Answer to wait up to 60 seconds for a period of quiet (i.e. - no ringing) after dialing a number before continuing with the alert. If not selected the software begins the delay after connect when it has finished dialing..

Delay After Connect - This how long the software waits after dialing, or after quiet answer, before it begins the tone pattern. 3 seconds is the default.

Number of Beeps - The number of times the tone patterns are repeated. Same setting used for all Phone Alarms.


Alarms: Configure Single Sensor

Configure Single Sensor Alarms

The same alarm configurations are used by E-Mail & Phone Alerts

  1. Click on Enable Single Sensor Alarms to enable alarms based on single sensor threshold values. These alarms are similar to the existing Vantage Pro console and WeatherLink alarms, generating a separate alarm for each weather parameter that exceeds the threshold value.

  2. Click the Configure button associated with Enable Single Sensor Alarms to set alarm threshold values.


Alarms: Configure Combination

Configure Combination Alarms

The same alarm configurations are used by E-Mail & Phone Alerts

  1. Click on Enable Combination Alarm 1 or Enable Combination Alarm 2 to enable the two user-defined alarms based on the threshold values of multiple sensor. All threshold values configured for a combination alarm must be met in order to generate the alarm.

  2. Click the Configure button associated with Enable Combination Alarm 1 or Enable Combination Alarm 2 to set the threshold values for the alarm and to name the alarm.


E-Mail Configuration

The required server information can be obtained from your Internet Services Provides or network administrator:

Note: The E-Mail/Phone Alert Module only supports e-mail accounts using SMTP (Simple Mail Transfer Protocol) for outgoing mail.

  • Mail Server Name: the name of your outgoing mail server

  • Your user name

  • Your password

  • The "From address" shows who the e-mail is from.

  • The 'To address" and "CC addresses" are the addresses for Current Conditions and Alarm Notifications recipients. Enter one address per edit box.

Back to: Email Alerts: Setup


Internet Connection Setup

Internet Connection Settings

E-Mail uses the same Internet connection settings as FTP in WeatherLink's Internet Connection Settings dialog box. If WeatherLink has already been configured for the internet, this part is done but you still need to enter e-mail settings.

Note: If you change the Internet Connection Settings here, the Internet settings used to FTP files will also change.

Internet Connection

To specify how your computer connects to the Internet, select the appropriate radio button in the Internet Connection section of the Internet dialog box.

Select your type of Internet Connection:

· Select "Connect through a local server" if you are not dialing a phone number to connect to the Internet. This is the only step required to setup your Internet connection if you are connecting through a local server.

· Select "Connect through a Dialup Connection" and enter the information listed below if you are dialing up to connect to the Internet.

To Configure Your Dialup Internet Connection:

Note: These selections are grayed-out if you are not using a dialup connection, or if you do not have dial-up networking installed on your computer.

1. Select a Dialup Connection:

· If you have a dialup connection already setup, it should appear in the Select a Dialup Connection window. If the connection you want appears, simply click the connection to select it.

· If no connection appears, you need to create a dialup connection through another application. Depending on your computer configuration, use one of the following paths to open the Dial-Up Networking application, then set up a dial-up connection.

· Start menu > Programs > Accessories > Dial-Up Networking

· Start menu > Programs > Accessories > Communications > Network Dialup Connections

· Start > Settings > Network Dialup Connections

Note: If you cannot find the Dial-Up Networking application, it may not be installed on your system. Check your operating system help files or user guide for assistance if you have any trouble finding or installing the application, or setting up a new connection.

· Once you have set up the dialup connection, return to the WeatherLink and re-open the Setup menu > Internet Settings dialog box to continue with the configuration. The connection you created should appear in the Select a Dialup Connection window. Click the connection to select it.

2. Enter your ISP User Name:

· If you have a user name to log into the ISP (Internet Service Provider), enter it in the User Name text box.

Note: This may be a different user name than the one used to log into your FTP (or Web) site.

3. Enter your password if you are dialing up to connect to the Internet ISP:

· If you have a password to log into the ISP (Internet Service Provider), enter it in the Password text box located below the User Name.

Note: This may be a different password than the one used to log into your FTP site or web site.

4. Select your ISP connection duration/hang-up option:

· Select "Stay Connected all the Time" if you want your computer to stay connected to the Internet all the time. You must hang up manually if this option is selected.

· Select "Only Connect during Transfer" if you want your computer to only connect to the Internet when it is transferring files. The software will dial your Internet connection when it is time to upload data and then hang-up when the transfer is complete.

Note: WeatherLink will only hang-up a dial-up internet connection if the connection was established by WeatherLink. If your computer is already connected to the internet, then WeatherLink will share the connection and will not hang up after transferring files.

5. Select the number of times to attempt to connect:

· Select the number of times your computer will attempt to make a dial up Internet connection.

· Additional attempts to make the connection will only occur if the line is busy. No additional attempts will be made if the connection cannot be completed for any other reason.

· If there is no dial tone, then WeatherLink will not attempt another connection until the next scheduled data upload.

· The default is 5 attempts.

6. Select the number of seconds to wait between connection attempts:

· Select the number of seconds your computer will wait between dial-up attempts in case the line is busy.

· The default time is 5 seconds.